## visad.bom
Class ShadowTextureFillSetTypeJ3D

    java.lang.Object
      visad.ShadowType
          visad.java3d.ShadowTypeJ3D
              visad.java3d.ShadowFunctionOrSetTypeJ3D
                  visad.java3d.ShadowSetTypeJ3D
                      visad.bom.ShadowTextureFillSetTypeJ3D

All Implemented Interfaces:
  Serializable

public class ShadowTextureFillSetTypeJ3D
extends ShadowSetTypeJ3D

The ShadowTextureFillSetTypeJ3D class shadows the FunctionType class for TextureFillRendererJ3D, within a DataDisplayLink, under Java3D.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.java3d.ShadowFunctionOrSetTypeJ3D
``

Fields inherited from class visad.java3d.ShadowTypeJ3D
``

Fields inherited from class visad.ShadowType
`LEGAL, METERS_PER_DEGREE, NESTED, NOTHING_MAPPED, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE`

Constructor Summary
`ShadowTextureFillSetTypeJ3D(MathType t, DataDisplayLink link, ShadowType parent)`

Method Summary
`BufferedImage` `createImage(int data_width, int data_height, int texture_width, int texture_height, int[] color_ints)`
`boolean` `doTransform(Object group, Data data, float[] value_array, float[] default_values, DataRenderer renderer)` transform data into a Java3D scene graph; add generated scene graph components as children of group; value_array are inherited valueArray values; default_values are defaults for each display.DisplayRealTypeVector; return true if need post-process
`void` `textureToGroup(Object group, VisADGeometryArray array, BufferedImage image, GraphicsModeControl mode, int texture_width, int texture_height, DataRenderer renderer)`

Methods inherited from class visad.java3d.ShadowFunctionOrSetTypeJ3D
`addSwitch, addToGroup, addToSwitch, adjustZ, getDomain, getRange, getTextMaps, makeBranch, makeGeometrys, makeSwitch, makeVisADGeometrys, postProcess, preProcess, recurseRange, setTex3DCoords, setTexCoords, setTexStackCoords, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureToGroup, textureWidth, wantIndexed`

Methods inherited from class visad.java3d.ShadowTypeJ3D

`addLabelsToGroup, addTextToGroup, addToGroup, allowConstantColorSurfaces, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, checkIndices, ensureNotEmpty, ensureNotEmpty, getAdaptedParent, getAdaptedShadowType, getComponents, getData, getDisplay, getDisplayIndices, getLevelOfDifficulty, getMappedDisplayScalar, getMultipleDisplayScalar, getParentText, getParentTextControl, getType, getValueIndices, makeAppearance, makeContour, makeFlow, makePointGeometry, makeStreamline, makeText, mapValues, mapValues, mapValues, setText, staticMakeAppearance, terminalTupleOrScalar, toString`

Methods inherited from class visad.ShadowType

`adjustFlowToEarth, allowCurvedTexture, allowLinearContour, byteToFloat, floatToByte, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponentWithRef, getCurvedTexture, getDefaultColorIndex, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLink, getMultipleSpatialDisplayScalar, getRefToComponent, makePointGeometry, makeSpatialSet, recurseComponent, terminalTupleOrScalar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowTextureFillSetTypeJ3D

    public ShadowTextureFillSetTypeJ3D(MathType t,
                                       DataDisplayLink link,
                                       ShadowType parent)
                                throws VisADException,
                                       RemoteException

Method Detail

### doTransform

    public boolean doTransform(Object group,
                               Data data,
                               float[] value_array,
                               float[] default_values,
                               DataRenderer renderer)
                        throws VisADException,
                               RemoteException

  Description copied from class: `ShadowFunctionOrSetTypeJ3D`
  transform data into a Java3D scene graph; add generated scene graph components as children of group; value_array are inherited valueArray values; default_values are defaults for each display.DisplayRealTypeVector; return true if need post-process

  Overrides:
    `doTransform` in class `ShadowFunctionOrSetTypeJ3D`
  Throws:
    `VisADException`
    `RemoteException`

### textureToGroup

    public void textureToGroup(Object group,
                               VisADGeometryArray array,
                               BufferedImage image,
                               GraphicsModeControl mode,
                               int texture_width,
                               int texture_height,
                               DataRenderer renderer)
                        throws VisADException

  Throws:
    `VisADException`

### createImage

    public BufferedImage createImage(int data_width,
                                     int data_height,
                                     int texture_width,
                                     int texture_height,
                                     int[] color_ints)